WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] can't save Viper's Video Quicktags options after upgrading to 6.0.1 (20 posts)

  1. k0rp0rate
    Member
    Posted 5 years ago #

    Hi!

    I just upated Viper's Video Quicktags plugin to the new version released, and after that, I can't save options for this plugin, because when I press the save button I get this error:

    Warning: array_keys() [function.array-keys]: The first argument should be an array in /path/to/my/blog/wp-admin/includes/plugin.php on line 388

    Warning: Invalid argument supplied for foreach() in /path/to/my/blog/wp-admin/includes/plugin.php on line 388

    Warning: Cannot modify header information - headers already sent by (output started at /path/to/my/blog/wp-admin/includes/plugin.php:388) in /path/to/my/blog/wp-includes/pluggable.php on line 770

    This is only happening with this plugin, I cant save other plugins options without any problem.

    Can someone help?

  2. firesprite
    Member
    Posted 5 years ago #

    i researh tis problem. but without success and i have same all symptoms

  3. k0rp0rate
    Member
    Posted 5 years ago #

    I have updated to Viper's Video Quicktags 6.0.3 and the problem persists :(

  4. What in the heck? Why is my plugin causing an error related to the menu system?

    If you disable all other plugins, does it still happen? And are you running WordPress 2.6.1?

  5. k0rp0rate
    Member
    Posted 5 years ago #

    Your reply put me on the right way ;)

    It seems to be a incompatibility between your plugin and Ozh' Admin Drop Down Menu.

    Because if I deactivate the Ozh's plugin the error disappear.

    I'll report this to Ozh ;)

    Thanks for your help.

  6. Let me know what he says. I don't think the problem is on my end as I don't do anything screwy that I'm aware of, but I coulda made a coding error. Dunno, lotta code in my plugin, heh.

  7. elfreakz
    Member
    Posted 5 years ago #

    The latest version doesnt work with my blog.

    i have 2 blogs, one with the latest video plugin, another one with the old one.

    with new version plugin, i get only preview image, can only view the video if i click on the preview image, and it open a new youtube window.

    if this has no solution, i guess i will rollback to the old version.

    any solution?

  8. Ozh
    Member
    Posted 5 years ago #

    I'm running, using and activating both my Admin Drop Down Menu & Viper's Video plugin without any problem.

    Seems the problem is on your side (incorrect editing/uploading of plugins or whatever)

  9. k0rp0rate
    Member
    Posted 5 years ago #

    incorrect editing/uploading of plugins??

    I dont understand...

    I have 3 different blogs hosted in different machines, and all of them have the same problem.

    So I think it's difficult to have in the 3 sites at the same time a simple problem of uploading/editing files.

  10. Ozh
    Member
    Posted 5 years ago #

    Oh. When *saving*. The message on my blog was vague.

    Indeed. Will look into this.

  11. Ozh
    Member
    Posted 5 years ago #

    Fixed. Download latest.

  12. k0rp0rate
    Member
    Posted 5 years ago #

    Thanks Ozh. Now all is working ok :)

  13. mario-klevahhehd
    Member
    Posted 5 years ago #

    I had the same problem! After one hour searching the web I came here... OZH, Thank you so much for fixing!!!!!

  14. rockinthemiddle
    Member
    Posted 5 years ago #

    Hi!
    I have WordPress 2.6.5 (I upgraded today from version 1.5) and the plugin Viper's Video Quicktags 6.1.10 correctly installed but the error is still showing when I save.

    My error is:

    Warning: array_keys(): The first argument should be an array in /path/to/my/blog/wp-admin/includes/plugin.php on line 388

    Warning: Invalid argument supplied for foreach() in /path/to/my/blog/wp-admin/includes/plugin.php on line 388

    Warning: Cannot modify header information - headers already sent by (output started at /path/to/my/blog/wp-admin\/ncludes/plugin.php:388) in /path/to/my/blog/wp-includes/pluggable.php on line 766

    I noticed that although the error the plugin saves correctly my settings.

    Anybody can help?

  15. casabsolute
    Member
    Posted 5 years ago #

    rockinthemiddle - I'm having the same issue - I tried disabling TinyMCE Advanced plugin, but that did nothing.

    I'm able to see the quicktags in Write/Manage Post/Page, and they work just fine, but when changing the settings, I get the same errors as rockinthemiddle, although the changes DO stick.

    And just a note - if you change the location of the buttons, I had to refresh my browser window to make them show up in the editor.

    It's not enough of an issue for me to debug further, but must be a conflict with some other plugin?

  16. infected
    Member
    Posted 5 years ago #

    Same issue with vvqt here. I found out, that Akismet 2.2.3 as well as CodeStyling Localization 1.65 is causing this. If i activate one of these two the same warning as mentioned above is displayed after clicking the save options button.

  17. mariostella
    Member
    Posted 5 years ago #

    Sorry Viper, this plugin seems a great one, but it's a little too buggy..I also need to deactivate Akismet to have it working...and it still gives me some troubles as when I click the play movie button in the post page it starts and then goes to a non existing page (404), and to finish up it adds the initial image of the video as a default image just below the player..I cannot get rid of that image, and if I click it it gives me the 404 again. I just tried youtube, not any other video site, but I guess it's enough..going back to some simpler but working solution..great work anyway..I would have loved having it working on my installation, it really seems a great tool to have.

  18. infected
    Member
    Posted 5 years ago #

    @mariostella: The warning is not caused through vvqt. It´s caused by akismet. I also contact the author of codestyling-localization (where it was the same warning). In the meantime he fixed his plugin. The author(s) of akismet should do this too...

  19. mariostella
    Member
    Posted 5 years ago #

    Thanks Infected, but unfortunately it keeps being so buggy for me that a simpler plugin is still my choice..unfortunately, 'cause I really LOVED Viper's plugin..
    Thanks for your time again

  20. webmaestro
    Member
    Posted 5 years ago #

    Yeah, I had/have the same issue, and deactivating Akismet 'fixed' the problem. After making my change, I re-enabled Akismet and all seems good again.

Topic Closed

This topic has been closed to new replies.

About this Topic